package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;

/**
 * @Description face id 活体检测结果
 * @Author lideyin
 * @Date 2019/12/20 17:16
 * @Version 1.0
 */
public class ExamFaceLivenessVerifyBean implements JsonSerializable {

    private static final long serialVersionUID = 5693138746627541284L;

    /**
     * 主键ID
     */
    private Long id;
    /**
     * 考试记录 DataID
     */
    private Long examRecordDataId;
    /**
     * 验证考试时间
     */
    private Date startTime;
    /**
     * 验证使用时间
     */
    private Long usedTime;
    /**
     * faceId返回json:notify_url返回
     * 网页端活体检测及比对返回值说明:https://faceid.com/pages/documents/5680508
     */
    private String resultJson;
    /**
     * 验证结果
     */
    private String verifyResult;

    /**
     * https://api.megvii.com/faceid/liveness/v2/get_result
     * 用于活体结果反查
     */
    private String bizId;

    /**
     * 发生错误
     */
    private Boolean isError;
    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 当前记录操作次数
     */
    private Integer operateNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Long getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Long usedTime) {
        this.usedTime = usedTime;
    }

    public String getResultJson() {
        return resultJson;
    }

    public void setResultJson(String resultJson) {
        this.resultJson = resultJson;
    }

    public String getVerifyResult() {
        return verifyResult;
    }

    public void setVerifyResult(String verifyResult) {
        this.verifyResult = verifyResult;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Boolean getIsError() {
        return isError;
    }

    public void setIsError(Boolean isError) {
        this.isError = isError;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Integer getOperateNum() {
        return operateNum;
    }

    public void setOperateNum(Integer operateNum) {
        this.operateNum = operateNum;
    }
}
